--- title: "getWorkflows" slug: "analytics-dataflow-getworkflows" updated: 2026-09-17T09:54:09Z published: 2026-09-17T09:54:09Z canonical: "api.ncloud-docs.com/analytics-dataflow-getworkflows" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getWorkflows Available in VPC Get the list of workflows. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workflows | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `limit` | Integer | Optional | Page output count - 0-N (default: 1000) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/workflows?page=0&limit=1000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `list` | Array | - | Workflow list: [list](/docs/en/analytics-dataflow-getworkflows#list) | | `count` | Integer | - | Number of response results | | `page` | Integer | - | Page number | | `limit` | Integer | - | Page output count | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workflowId` | String | - | Workflow ID | | `name` | String | - | Workflow name | | `createdDate` | String | - | Workflow creation date and time - ISO 8601 format (including UTC+9) | | `updatedDate` | String | - | Workflow modification date and time - ISO 8601 format (including UTC+9) | | `lastExecutionDate` | String | - | Last workflow execution date and time - ISO 8601 format (including UTC+9) | | `isTemp` | Boolean | - | Temporary storage status - `true` \| `false` - `true`: Save temporarily. - `false`: Complete immediately (do not save temporarily). | | `triggerRuleType` | String | - | Trigger execution option type - `RECURRING` \| `ONE_TIME` \| `NONE` - `RECURRING`: Run on a cycle. - `ONE_TIME`: Run on a specific date. - `NONE`: No execution option | | `nodes` | Array | - | Node information: [nodes](/docs/en/analytics-dataflow-getworkflows#nodes) | | `resourceId` | String | - | Resource ID - Same as the workflow ID | | `disabled` | Boolean | - | Whether you have permission to view the resource | #### `nodes` The following describes `nodes`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Node ID - Display `triggerId` or `jobId` according to `type`. | | `name` | String | - | Node name - Display the trigger name or job name according to `type`. | | `type` | String | - | Node type - `TRIGGER` \| `JOB` | | `parentNodeIds` | Array | - | Parent node ID list - Display the ID of the trigger node in the job node object. - Display an empty value for trigger node objects. | | `triggerRule` | String | - | Trigger node execution option information - `RECURRING` \| `ONE_TIME` \| `NONE` - `RECURRING`: Run on a cycle. - `ONE_TIME`: Run on a specific date. - `NONE`: No execution option | | `isValid` | Boolean | - | Node deletion status (node availability) - `true` \| `false` - `true`: Not deleted (available) - `false`: Deleted (available) | | `jobCondition` | Object | - | Job execution option information | | `jobCondition.numWorker` | Integer | - | Number of workers - 2-10 | | `jobCondition.timeout` | Integer | - | Execution timeout (minute) - 1-1440 | | `jobCondition.nrn` | String | - | NAVER Cloud Platform resource identification value for job | | `jobCondition.scriptPath` | String | - | Job execution script storage path | | `jobCondition.logPath` | String | - | Job execution history storage path | ### Response status codes For information about the HTTP status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "list": [ { "workflowId": "3tfNLP******", "name": "workflow001", "createdDate": "2025-03-24T14:46:24+09:00", "updatedDate": "2025-03-24T14:46:24+09:00", "isTemp": false, "triggerRuleType": "RECURRING", "nodes": [ { "id": "gqigvH******", "name": "job001", "type": "JOB", "parentNodeIds": [ "8bjF7E******" ], "jobCondition": { "numWorker": 3, "timeout": 360, "nrn": "nrn:PUB:IAM::*******:Role/********-0496-11f0-baf6-246e96591a38", "scriptPath": "dataflow-2706412-****/scripts/", "logPath": "dataflow-2706412-****/sparkHistoryLogs/" } }, { "id": "8bjF7E******", "name": "trigger001", "type": "TRIGGER", "parentNodeIds": [], "triggerRule": "RECURRING" } ], "resourceId": "3tfNLP******", "disabled": false } ], "count": 1, "page": 0, "limit": 1000 } ```